Amazon Linux 2022 : (ALAS2022-2022-196)

critical Nessus プラグイン ID 167022

概要

リモートの Amazon Linux 2022 ホストに、セキュリティ更新プログラムがありません。

説明

したがって、ALAS2022-2022-196 のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- 9.0.0 より前の Pillow の path.c の path_getbbox で、ImagePath.Path の初期化中にバッファオーバーリードが発生します。(CVE-2022-22816)

- 9.0.0より前の Pillow の PIL.ImageMath.eval では、Python exec メソッドを使用する式など、任意の式を評価できます。ラムダ式も使用できます (CVE-2022-22817)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

「dnf update python-pillow --releasever=2022.0.20221102」を実行してシステムを更新してください。

関連情報

https://alas.aws.amazon.com/AL2022/ALAS-2022-196.html

https://alas.aws.amazon.com/cve/html/CVE-2022-22816.html

https://alas.aws.amazon.com/cve/html/CVE-2022-22817.html

プラグインの詳細

深刻度: Critical

ID: 167022

ファイル名: al2022_ALAS2022-2022-196.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2022/11/5

更新日: 2022/11/5

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2022-22817

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 8.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:amazon:linux:python-pillow-debuginfo, p-cpe:/a:amazon:linux:python-pillow-debugsource, p-cpe:/a:amazon:linux:python3-pillow, p-cpe:/a:amazon:linux:python3-pillow-debuginfo, p-cpe:/a:amazon:linux:python3-pillow-devel, p-cpe:/a:amazon:linux:python3-pillow-tk, p-cpe:/a:amazon:linux:python3-pillow-tk-debuginfo, cpe:/o:amazon:linux:2022

必要な KB アイテム: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/11/1

脆弱性公開日: 2022/1/10

参照情報

CVE: CVE-2022-22816, CVE-2022-22817